package com.malk.zhiwei.service;

import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.core.JacksonException;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.malk.server.common.McR;

import java.util.Map;

public interface ZwService {

    // 销售订单
    JSONObject saveSaleOrder(Map formData);

    // 销售发货单
    JSONObject saveDeliveryOrder(Map formData);

    void syncProduct(String id,String erpPilot);

    //客户保存接口
    McR savecustomer(String instanceId) throws JsonProcessingException;

    //同步产品信息
    void product() throws JsonProcessingException;

    //同步销售订单
    void purchaseOrder() throws JsonProcessingException;

    //出库单（发货通知单）
    void deliveryOrder() throws JsonProcessingException;

    //退货单
    void returnForm() throws JsonProcessingException;

    //补货单
    void replenishmentOrder() throws JsonProcessingException;

    //开票单
    void invoice() throws JsonProcessingException;

    //应收单
    void receivableNote() throws JsonProcessingException;

    //同步客户
    void customer() throws JsonProcessingException;

}
